<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'diva',

    /*
     * Modules.
     */
    'modules'   => ['listing'],

    
    'listing'       => [
        'model' => [
            'model'                 => \Bixo\Diva\Models\Listing::class,
            'table'                 => 'listings',
            'presenter'             => \Bixo\Diva\Repositories\Presenter\ListingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'category_id',  'team_id',  'lead_team_id',  'contact_id',  'tenant_id',  'agent_id',  'deal_id',  'opportunity_id',  'com_listing_id',  'hot',  'exclusive',  'name',  'ref',  'ref_pf',  'unit',  'type',  'street_no',  'floor',  'maintain_sqft',  'latitude',  'longitude',  'country_id',  'state_id',  'location_id',  'sublocation_id',  'property_id',  'building_no',  'tower_name',  'beds',  'fitted',  'building_type',  'handover_date',  'baths',  'half_bath',  'furnished',  'appliances',  'view',  'bua',  'price',  'emi',  'est_rental',  'plot',  'poa',  'frequency',  'cheques',  'parking',  'commercial',  'reminder',  'description',  'description_more',  'documents',  'photos',  'floor_plans',  'commission',  'commission_aed',  'deposit',  'deposit_aed',  'portals',  'other_medias',  'features',  'amenities',  'features_intl',  'featured',  'dewa_no',  'str',  'source_listing',  'sub_source',  'next_available',  'notes',  'notes_temp',  'additional_info',  'tenanted',  'rented',  'rented_price',  'rented_cheques',  'rented_at',  'rented_until',  'maintenance_fee',  'property_status',  'price_sqft',  'owner_signed',  'property_type',  'rera',  'status',  'sub_status',  'unpublish_reason',  'unpublish_details',  'related_listing',  'notifications',  'published_at',  'published_by',  'unpublished_at',  'assigned_to',  'is_verified',  'shuffle_photos',  'lat',  'lng',  'watermark',  'expiry_at',  'notified_at',  'temp_other_medias',  'temp_features',  'temp_amenities',  'upload_folder',  'migrated',  'contract_date',  'bypass_houza',  'user_id',  'user_type',  'user_updated_at',  'created_at',  'updated_at',  'deleted_at',  'ref_byt'],
            'translatables'         => [],
            'upload_folder'         => 'diva/listing',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Diva',
            'module'    => 'Listing',
        ],

    ],
];
