Lavalite package that provides diva management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/diva`.

    "bixo/diva": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Diva\Providers\DivaServiceProvider::class,

And also add it to alias

    'Diva'  => Bixo\Diva\Facades\Diva::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\DivaTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Diva\Providers\DivaServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Diva\Providers\DivaServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Diva\Providers\DivaServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/diva/{modulename}

**User**

    http://path-to-route-folder/user/diva/{modulename}

**Public**

    http://path-to-route-folder/divas


### API endpoints

**List**

    http://path-to-route-folder/api/user/diva/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/diva/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/diva/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/diva/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/diva/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/diva/{modulename}/{slug}
    METHOD: GET