<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for listing in diva package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  listing module in diva package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Listing',
    'names'         => 'Listings',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Listings',
        'sub'   => 'Listings',
        'list'  => 'List of listings',
        'edit'  => 'Edit listing',
        'create'    => 'Create new listing'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'frequency'           => ['Day','Week','Month','Year',''],
            'featured'            => ['No','Yes',''],
            'tenanted'            => ['1','0'],
            'property_status'     => ['Completed','Under Construction',''],
            'owner_signed'        => ['Managed','Exclusive','Invite',''],
            'property_type'       => ['Rental','Sales',''],
            'status'              => ['Archived','Draft','Published','Unpublished','Waiting Approval','Waiting Publish','Completed','Approved','Rejected','Waiting Unpublish','Pending Photo Request',''],
            'sub_status'          => ['Waiting Unpublish',''],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'category_id'                => 'Please enter category id',
        'team_id'                    => 'Please enter team id',
        'lead_team_id'               => 'Please enter lead team id',
        'contact_id'                 => 'Please enter contact id',
        'tenant_id'                  => 'Please enter tenant id',
        'agent_id'                   => 'Please enter agent id',
        'deal_id'                    => 'Please enter deal id',
        'opportunity_id'             => 'Please enter opportunity id',
        'com_listing_id'             => 'Please enter com listing id',
        'hot'                        => 'Please enter hot',
        'exclusive'                  => 'Please enter exclusive',
        'name'                       => 'Please enter name',
        'ref'                        => 'Please enter ref',
        'ref_pf'                     => 'Please enter ref pf',
        'unit'                       => 'Please enter unit',
        'type'                       => 'Please enter type',
        'street_no'                  => 'Please enter street no',
        'floor'                      => 'Please enter floor',
        'maintain_sqft'              => 'Please enter maintain sqft',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'building_no'                => 'Please enter building no',
        'tower_name'                 => 'Please enter tower name',
        'beds'                       => 'Please enter beds',
        'fitted'                     => 'Please enter fitted',
        'building_type'              => 'Please enter building type',
        'handover_date'              => 'Please select handover date',
        'baths'                      => 'Please enter baths',
        'half_bath'                  => 'Please enter half bath',
        'furnished'                  => 'Please enter furnished',
        'appliances'                 => 'Please enter appliances',
        'view'                       => 'Please enter view',
        'bua'                        => 'Please enter bua',
        'price'                      => 'Please enter price',
        'emi'                        => 'Please enter emi',
        'est_rental'                 => 'Please enter est rental',
        'plot'                       => 'Please enter plot',
        'poa'                        => 'Please enter poa',
        'frequency'                  => 'Please select frequency',
        'cheques'                    => 'Please enter cheques',
        'parking'                    => 'Please enter parking',
        'commercial'                 => 'Please enter commercial',
        'reminder'                   => 'Please select reminder',
        'description'                => 'Please enter description',
        'description_more'           => 'Please enter description more',
        'documents'                  => 'Please enter documents',
        'photos'                     => 'Please enter photos',
        'floor_plans'                => 'Please enter floor plans',
        'commission'                 => 'Please enter commission',
        'commission_aed'             => 'Please enter commission aed',
        'deposit'                    => 'Please enter deposit',
        'deposit_aed'                => 'Please enter deposit aed',
        'portals'                    => 'Please enter portals',
        'other_medias'               => 'Please enter other medias',
        'features'                   => 'Please enter features',
        'amenities'                  => 'Please enter amenities',
        'features_intl'              => 'Please enter features intl',
        'featured'                   => 'Please select featured',
        'dewa_no'                    => 'Please enter dewa no',
        'str'                        => 'Please enter str',
        'source_listing'             => 'Please enter source listing',
        'sub_source'                 => 'Please enter sub source',
        'next_available'             => 'Please select next available',
        'notes'                      => 'Please enter notes',
        'notes_temp'                 => 'Please enter notes temp',
        'additional_info'            => 'Please enter additional info',
        'tenanted'                   => 'Please select tenanted',
        'rented'                     => 'Please enter rented',
        'rented_price'               => 'Please enter rented price',
        'rented_cheques'             => 'Please enter rented cheques',
        'rented_at'                  => 'Please select rented at',
        'rented_until'               => 'Please select rented until',
        'maintenance_fee'            => 'Please enter maintenance fee',
        'property_status'            => 'Please select property status',
        'price_sqft'                 => 'Please enter price sqft',
        'owner_signed'               => 'Please select owner signed',
        'property_type'              => 'Please select property type',
        'rera'                       => 'Please enter rera',
        'status'                     => 'Please select status',
        'sub_status'                 => 'Please select sub status',
        'unpublish_reason'           => 'Please enter unpublish reason',
        'unpublish_details'          => 'Please enter unpublish details',
        'related_listing'            => 'Please enter related listing',
        'notifications'              => 'Please enter notifications',
        'published_at'               => 'Please select published at',
        'published_by'               => 'Please enter published by',
        'unpublished_at'             => 'Please select unpublished at',
        'assigned_to'                => 'Please enter assigned to',
        'is_verified'                => 'Please enter is verified',
        'shuffle_photos'             => 'Please enter shuffle photos',
        'lat'                        => 'Please enter lat',
        'lng'                        => 'Please enter lng',
        'watermark'                  => 'Please enter watermark',
        'expiry_at'                  => 'Please select expiry at',
        'notified_at'                => 'Please select notified at',
        'temp_other_medias'          => 'Please enter temp other medias',
        'temp_features'              => 'Please enter temp features',
        'temp_amenities'             => 'Please enter temp amenities',
        'upload_folder'              => 'Please enter upload folder',
        'migrated'                   => 'Please enter migrated',
        'contract_date'              => 'Please select contract date',
        'bypass_houza'               => 'Please enter bypass houza',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'user_updated_at'            => 'Please select user updated at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'ref_byt'                    => 'Please enter ref byt',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'category_id'                => 'Category id',
        'team_id'                    => 'Team id',
        'lead_team_id'               => 'Lead team id',
        'contact_id'                 => 'Contact id',
        'tenant_id'                  => 'Tenant id',
        'agent_id'                   => 'Agent id',
        'deal_id'                    => 'Deal id',
        'opportunity_id'             => 'Opportunity id',
        'com_listing_id'             => 'Com listing id',
        'hot'                        => 'Hot',
        'exclusive'                  => 'Exclusive',
        'name'                       => 'Name',
        'ref'                        => 'Ref',
        'ref_pf'                     => 'Ref pf',
        'unit'                       => 'Unit',
        'type'                       => 'Type',
        'street_no'                  => 'Street no',
        'floor'                      => 'Floor',
        'maintain_sqft'              => 'Maintain sqft',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'building_no'                => 'Building no',
        'tower_name'                 => 'Tower name',
        'beds'                       => 'Beds',
        'fitted'                     => 'Fitted',
        'building_type'              => 'Building type',
        'handover_date'              => 'Handover date',
        'baths'                      => 'Baths',
        'half_bath'                  => 'Half bath',
        'furnished'                  => 'Furnished',
        'appliances'                 => 'Appliances',
        'view'                       => 'View',
        'bua'                        => 'Bua',
        'price'                      => 'Price',
        'emi'                        => 'Emi',
        'est_rental'                 => 'Est rental',
        'plot'                       => 'Plot',
        'poa'                        => 'Poa',
        'frequency'                  => 'Frequency',
        'cheques'                    => 'Cheques',
        'parking'                    => 'Parking',
        'commercial'                 => 'Commercial',
        'reminder'                   => 'Reminder',
        'description'                => 'Description',
        'description_more'           => 'Description more',
        'documents'                  => 'Documents',
        'photos'                     => 'Photos',
        'floor_plans'                => 'Floor plans',
        'commission'                 => 'Commission',
        'commission_aed'             => 'Commission aed',
        'deposit'                    => 'Deposit',
        'deposit_aed'                => 'Deposit aed',
        'portals'                    => 'Portals',
        'other_medias'               => 'Other medias',
        'features'                   => 'Features',
        'amenities'                  => 'Amenities',
        'features_intl'              => 'Features intl',
        'featured'                   => 'Featured',
        'dewa_no'                    => 'Dewa no',
        'str'                        => 'Str',
        'source_listing'             => 'Source listing',
        'sub_source'                 => 'Sub source',
        'next_available'             => 'Next available',
        'notes'                      => 'Notes',
        'notes_temp'                 => 'Notes temp',
        'additional_info'            => 'Additional info',
        'tenanted'                   => 'Tenanted',
        'rented'                     => 'Rented',
        'rented_price'               => 'Rented price',
        'rented_cheques'             => 'Rented cheques',
        'rented_at'                  => 'Rented at',
        'rented_until'               => 'Rented until',
        'maintenance_fee'            => 'Maintenance fee',
        'property_status'            => 'Property status',
        'price_sqft'                 => 'Price sqft',
        'owner_signed'               => 'Owner signed',
        'property_type'              => 'Property type',
        'rera'                       => 'Rera',
        'status'                     => 'Status',
        'sub_status'                 => 'Sub status',
        'unpublish_reason'           => 'Unpublish reason',
        'unpublish_details'          => 'Unpublish details',
        'related_listing'            => 'Related listing',
        'notifications'              => 'Notifications',
        'published_at'               => 'Published at',
        'published_by'               => 'Published by',
        'unpublished_at'             => 'Unpublished at',
        'assigned_to'                => 'Assigned to',
        'is_verified'                => 'Is verified',
        'shuffle_photos'             => 'Shuffle photos',
        'lat'                        => 'Lat',
        'lng'                        => 'Lng',
        'watermark'                  => 'Watermark',
        'expiry_at'                  => 'Expiry at',
        'notified_at'                => 'Notified at',
        'temp_other_medias'          => 'Temp other medias',
        'temp_features'              => 'Temp features',
        'temp_amenities'             => 'Temp amenities',
        'upload_folder'              => 'Upload folder',
        'migrated'                   => 'Migrated',
        'contract_date'              => 'Contract date',
        'bypass_houza'               => 'Bypass houza',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'user_updated_at'            => 'User updated at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'ref_byt'                    => 'Ref byt',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'category_id'                => ['name' => 'Category id', 'data-column' => 1, 'checked'],
        'team_id'                    => ['name' => 'Team id', 'data-column' => 2, 'checked'],
        'lead_team_id'               => ['name' => 'Lead team id', 'data-column' => 3, 'checked'],
        'contact_id'                 => ['name' => 'Contact id', 'data-column' => 4, 'checked'],
        'tenant_id'                  => ['name' => 'Tenant id', 'data-column' => 5, 'checked'],
        'agent_id'                   => ['name' => 'Agent id', 'data-column' => 6, 'checked'],
        'deal_id'                    => ['name' => 'Deal id', 'data-column' => 7, 'checked'],
        'opportunity_id'             => ['name' => 'Opportunity id', 'data-column' => 8, 'checked'],
        'com_listing_id'             => ['name' => 'Com listing id', 'data-column' => 9, 'checked'],
        'hot'                        => ['name' => 'Hot', 'data-column' => 10, 'checked'],
        'exclusive'                  => ['name' => 'Exclusive', 'data-column' => 11, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 12, 'checked'],
        'ref'                        => ['name' => 'Ref', 'data-column' => 13, 'checked'],
        'ref_pf'                     => ['name' => 'Ref pf', 'data-column' => 14, 'checked'],
        'unit'                       => ['name' => 'Unit', 'data-column' => 15, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 16, 'checked'],
        'street_no'                  => ['name' => 'Street no', 'data-column' => 17, 'checked'],
        'floor'                      => ['name' => 'Floor', 'data-column' => 18, 'checked'],
        'maintain_sqft'              => ['name' => 'Maintain sqft', 'data-column' => 19, 'checked'],
        'latitude'                   => ['name' => 'Latitude', 'data-column' => 20, 'checked'],
        'longitude'                  => ['name' => 'Longitude', 'data-column' => 21, 'checked'],
        'country_id'                 => ['name' => 'Country id', 'data-column' => 22, 'checked'],
        'state_id'                   => ['name' => 'State id', 'data-column' => 23, 'checked'],
        'location_id'                => ['name' => 'Location id', 'data-column' => 24, 'checked'],
        'sublocation_id'             => ['name' => 'Sublocation id', 'data-column' => 25, 'checked'],
        'property_id'                => ['name' => 'Property id', 'data-column' => 26, 'checked'],
        'building_no'                => ['name' => 'Building no', 'data-column' => 27, 'checked'],
        'tower_name'                 => ['name' => 'Tower name', 'data-column' => 28, 'checked'],
        'beds'                       => ['name' => 'Beds', 'data-column' => 29, 'checked'],
        'fitted'                     => ['name' => 'Fitted', 'data-column' => 30, 'checked'],
        'building_type'              => ['name' => 'Building type', 'data-column' => 31, 'checked'],
        'handover_date'              => ['name' => 'Handover date', 'data-column' => 32, 'checked'],
        'baths'                      => ['name' => 'Baths', 'data-column' => 33, 'checked'],
        'half_bath'                  => ['name' => 'Half bath', 'data-column' => 34, 'checked'],
        'furnished'                  => ['name' => 'Furnished', 'data-column' => 35, 'checked'],
        'appliances'                 => ['name' => 'Appliances', 'data-column' => 36, 'checked'],
        'view'                       => ['name' => 'View', 'data-column' => 37, 'checked'],
        'bua'                        => ['name' => 'Bua', 'data-column' => 38, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 39, 'checked'],
        'emi'                        => ['name' => 'Emi', 'data-column' => 40, 'checked'],
        'est_rental'                 => ['name' => 'Est rental', 'data-column' => 41, 'checked'],
        'plot'                       => ['name' => 'Plot', 'data-column' => 42, 'checked'],
        'poa'                        => ['name' => 'Poa', 'data-column' => 43, 'checked'],
        'frequency'                  => ['name' => 'Frequency', 'data-column' => 44, 'checked'],
        'cheques'                    => ['name' => 'Cheques', 'data-column' => 45, 'checked'],
        'parking'                    => ['name' => 'Parking', 'data-column' => 46, 'checked'],
        'commercial'                 => ['name' => 'Commercial', 'data-column' => 47, 'checked'],
        'reminder'                   => ['name' => 'Reminder', 'data-column' => 48, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 49, 'checked'],
        'documents'                  => ['name' => 'Documents', 'data-column' => 50, 'checked'],
        'photos'                     => ['name' => 'Photos', 'data-column' => 51, 'checked'],
        'floor_plans'                => ['name' => 'Floor plans', 'data-column' => 52, 'checked'],
        'commission'                 => ['name' => 'Commission', 'data-column' => 53, 'checked'],
        'commission_aed'             => ['name' => 'Commission aed', 'data-column' => 54, 'checked'],
        'deposit'                    => ['name' => 'Deposit', 'data-column' => 55, 'checked'],
        'deposit_aed'                => ['name' => 'Deposit aed', 'data-column' => 56, 'checked'],
        'portals'                    => ['name' => 'Portals', 'data-column' => 57, 'checked'],
        'other_medias'               => ['name' => 'Other medias', 'data-column' => 58, 'checked'],
        'features'                   => ['name' => 'Features', 'data-column' => 59, 'checked'],
        'amenities'                  => ['name' => 'Amenities', 'data-column' => 60, 'checked'],
        'features_intl'              => ['name' => 'Features intl', 'data-column' => 61, 'checked'],
        'featured'                   => ['name' => 'Featured', 'data-column' => 62, 'checked'],
        'dewa_no'                    => ['name' => 'Dewa no', 'data-column' => 63, 'checked'],
        'str'                        => ['name' => 'Str', 'data-column' => 64, 'checked'],
        'source_listing'             => ['name' => 'Source listing', 'data-column' => 65, 'checked'],
        'sub_source'                 => ['name' => 'Sub source', 'data-column' => 66, 'checked'],
        'next_available'             => ['name' => 'Next available', 'data-column' => 67, 'checked'],
        'notes'                      => ['name' => 'Notes', 'data-column' => 68, 'checked'],
        'notes_temp'                 => ['name' => 'Notes temp', 'data-column' => 69, 'checked'],
        'additional_info'            => ['name' => 'Additional info', 'data-column' => 70, 'checked'],
        'tenanted'                   => ['name' => 'Tenanted', 'data-column' => 71, 'checked'],
        'rented'                     => ['name' => 'Rented', 'data-column' => 72, 'checked'],
        'rented_price'               => ['name' => 'Rented price', 'data-column' => 73, 'checked'],
        'rented_cheques'             => ['name' => 'Rented cheques', 'data-column' => 74, 'checked'],
        'rented_at'                  => ['name' => 'Rented at', 'data-column' => 75, 'checked'],
        'rented_until'               => ['name' => 'Rented until', 'data-column' => 76, 'checked'],
        'maintenance_fee'            => ['name' => 'Maintenance fee', 'data-column' => 77, 'checked'],
        'property_status'            => ['name' => 'Property status', 'data-column' => 78, 'checked'],
        'price_sqft'                 => ['name' => 'Price sqft', 'data-column' => 79, 'checked'],
        'owner_signed'               => ['name' => 'Owner signed', 'data-column' => 80, 'checked'],
        'property_type'              => ['name' => 'Property type', 'data-column' => 81, 'checked'],
        'rera'                       => ['name' => 'Rera', 'data-column' => 82, 'checked'],
        'sub_status'                 => ['name' => 'Sub status', 'data-column' => 83, 'checked'],
        'unpublish_reason'           => ['name' => 'Unpublish reason', 'data-column' => 84, 'checked'],
        'unpublish_details'          => ['name' => 'Unpublish details', 'data-column' => 85, 'checked'],
        'related_listing'            => ['name' => 'Related listing', 'data-column' => 86, 'checked'],
        'notifications'              => ['name' => 'Notifications', 'data-column' => 87, 'checked'],
        'published_at'               => ['name' => 'Published at', 'data-column' => 88, 'checked'],
        'published_by'               => ['name' => 'Published by', 'data-column' => 89, 'checked'],
        'unpublished_at'             => ['name' => 'Unpublished at', 'data-column' => 90, 'checked'],
        'assigned_to'                => ['name' => 'Assigned to', 'data-column' => 91, 'checked'],
        'is_verified'                => ['name' => 'Is verified', 'data-column' => 92, 'checked'],
        'shuffle_photos'             => ['name' => 'Shuffle photos', 'data-column' => 93, 'checked'],
        'lat'                        => ['name' => 'Lat', 'data-column' => 94, 'checked'],
        'lng'                        => ['name' => 'Lng', 'data-column' => 95, 'checked'],
        'watermark'                  => ['name' => 'Watermark', 'data-column' => 96, 'checked'],
        'expiry_at'                  => ['name' => 'Expiry at', 'data-column' => 97, 'checked'],
        'notified_at'                => ['name' => 'Notified at', 'data-column' => 98, 'checked'],
        'temp_other_medias'          => ['name' => 'Temp other medias', 'data-column' => 99, 'checked'],
        'temp_features'              => ['name' => 'Temp features', 'data-column' => 100, 'checked'],
        'temp_amenities'             => ['name' => 'Temp amenities', 'data-column' => 101, 'checked'],
        'migrated'                   => ['name' => 'Migrated', 'data-column' => 102, 'checked'],
        'contract_date'              => ['name' => 'Contract date', 'data-column' => 103, 'checked'],
        'bypass_houza'               => ['name' => 'Bypass houza', 'data-column' => 104, 'checked'],
        'user_updated_at'            => ['name' => 'User updated at', 'data-column' => 105, 'checked'],
        'ref_byt'                    => ['name' => 'Ref byt', 'data-column' => 106, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Listings',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
