<?php

namespace Bixo\Diva;

use User;

class Diva
{
    /**
     * $listing object.
     */
    protected $listing;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Diva\Interfaces\ListingRepositoryInterface $listing)
    {
        $this->listing = $listing;
    }

    /**
     * Returns count of diva.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.listing.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->listing->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\ListingUserCriteria());
        }

        $listing = $this->listing->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('diva::' . $view, compact('listing'))->render();
    }
}
