<?php

namespace Bixo\Diva\Forms;

class Listing
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'category_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.category_id'),
                    "placeholder" => trans('diva::listing.placeholder.category_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'team_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.team_id'),
                    "placeholder" => trans('diva::listing.placeholder.team_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'lead_team_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.lead_team_id'),
                    "placeholder" => trans('diva::listing.placeholder.lead_team_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contact_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.contact_id'),
                    "placeholder" => trans('diva::listing.placeholder.contact_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'tenant_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.tenant_id'),
                    "placeholder" => trans('diva::listing.placeholder.tenant_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'agent_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.agent_id'),
                    "placeholder" => trans('diva::listing.placeholder.agent_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'deal_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.deal_id'),
                    "placeholder" => trans('diva::listing.placeholder.deal_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'opportunity_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.opportunity_id'),
                    "placeholder" => trans('diva::listing.placeholder.opportunity_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'com_listing_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.com_listing_id'),
                    "placeholder" => trans('diva::listing.placeholder.com_listing_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'hot' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.hot'),
                    "placeholder" => trans('diva::listing.placeholder.hot'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'exclusive' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.exclusive'),
                    "placeholder" => trans('diva::listing.placeholder.exclusive'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'name' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.name'),
                    "placeholder" => trans('diva::listing.placeholder.name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ref' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.ref'),
                    "placeholder" => trans('diva::listing.placeholder.ref'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ref_pf' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.ref_pf'),
                    "placeholder" => trans('diva::listing.placeholder.ref_pf'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'unit' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.unit'),
                    "placeholder" => trans('diva::listing.placeholder.unit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'type' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.type'),
                    "placeholder" => trans('diva::listing.placeholder.type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'street_no' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.street_no'),
                    "placeholder" => trans('diva::listing.placeholder.street_no'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'floor' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.floor'),
                    "placeholder" => trans('diva::listing.placeholder.floor'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'maintain_sqft' => [
                    "type" => 'decimal',
                    "label" => trans('diva::listing.label.maintain_sqft'),
                    "placeholder" => trans('diva::listing.placeholder.maintain_sqft'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'latitude' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.latitude'),
                    "placeholder" => trans('diva::listing.placeholder.latitude'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'longitude' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.longitude'),
                    "placeholder" => trans('diva::listing.placeholder.longitude'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'country_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.country_id'),
                    "placeholder" => trans('diva::listing.placeholder.country_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'state_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.state_id'),
                    "placeholder" => trans('diva::listing.placeholder.state_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'location_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.location_id'),
                    "placeholder" => trans('diva::listing.placeholder.location_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sublocation_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.sublocation_id'),
                    "placeholder" => trans('diva::listing.placeholder.sublocation_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'property_id' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.property_id'),
                    "placeholder" => trans('diva::listing.placeholder.property_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'building_no' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.building_no'),
                    "placeholder" => trans('diva::listing.placeholder.building_no'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'tower_name' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.tower_name'),
                    "placeholder" => trans('diva::listing.placeholder.tower_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'beds' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.beds'),
                    "placeholder" => trans('diva::listing.placeholder.beds'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'fitted' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.fitted'),
                    "placeholder" => trans('diva::listing.placeholder.fitted'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'building_type' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.building_type'),
                    "placeholder" => trans('diva::listing.placeholder.building_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'handover_date' => [
                    "type" => 'date_picker',
                    "label" => trans('diva::listing.label.handover_date'),
                    "placeholder" => trans('diva::listing.placeholder.handover_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'baths' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.baths'),
                    "placeholder" => trans('diva::listing.placeholder.baths'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'half_bath' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.half_bath'),
                    "placeholder" => trans('diva::listing.placeholder.half_bath'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'furnished' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.furnished'),
                    "placeholder" => trans('diva::listing.placeholder.furnished'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'appliances' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.appliances'),
                    "placeholder" => trans('diva::listing.placeholder.appliances'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'view' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.view'),
                    "placeholder" => trans('diva::listing.placeholder.view'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'bua' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.bua'),
                    "placeholder" => trans('diva::listing.placeholder.bua'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.price'),
                    "placeholder" => trans('diva::listing.placeholder.price'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'emi' => [
                    "type" => 'decimal',
                    "label" => trans('diva::listing.label.emi'),
                    "placeholder" => trans('diva::listing.placeholder.emi'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'est_rental' => [
                    "type" => 'decimal',
                    "label" => trans('diva::listing.label.est_rental'),
                    "placeholder" => trans('diva::listing.placeholder.est_rental'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'plot' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.plot'),
                    "placeholder" => trans('diva::listing.placeholder.plot'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'poa' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.poa'),
                    "placeholder" => trans('diva::listing.placeholder.poa'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'frequency' => [
                    "type" => 'radios',
                    "label" => trans('diva::listing.label.frequency'),
                    "placeholder" => trans('diva::listing.placeholder.frequency'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'cheques' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.cheques'),
                    "placeholder" => trans('diva::listing.placeholder.cheques'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'parking' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.parking'),
                    "placeholder" => trans('diva::listing.placeholder.parking'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'commercial' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.commercial'),
                    "placeholder" => trans('diva::listing.placeholder.commercial'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'reminder' => [
                    "type" => 'date_time_picker',
                    "label" => trans('diva::listing.label.reminder'),
                    "placeholder" => trans('diva::listing.placeholder.reminder'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.description'),
                    "placeholder" => trans('diva::listing.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description_more' => [
                    "type" => 'textarea',
                    "label" => trans('diva::listing.label.description_more'),
                    "placeholder" => trans('diva::listing.placeholder.description_more'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'documents' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.documents'),
                    "placeholder" => trans('diva::listing.placeholder.documents'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'photos' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.photos'),
                    "placeholder" => trans('diva::listing.placeholder.photos'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'floor_plans' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.floor_plans'),
                    "placeholder" => trans('diva::listing.placeholder.floor_plans'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'commission' => [
                    "type" => 'decimal',
                    "label" => trans('diva::listing.label.commission'),
                    "placeholder" => trans('diva::listing.placeholder.commission'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'commission_aed' => [
                    "type" => 'decimal',
                    "label" => trans('diva::listing.label.commission_aed'),
                    "placeholder" => trans('diva::listing.placeholder.commission_aed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'deposit' => [
                    "type" => 'decimal',
                    "label" => trans('diva::listing.label.deposit'),
                    "placeholder" => trans('diva::listing.placeholder.deposit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'deposit_aed' => [
                    "type" => 'decimal',
                    "label" => trans('diva::listing.label.deposit_aed'),
                    "placeholder" => trans('diva::listing.placeholder.deposit_aed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'portals' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.portals'),
                    "placeholder" => trans('diva::listing.placeholder.portals'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'other_medias' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.other_medias'),
                    "placeholder" => trans('diva::listing.placeholder.other_medias'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'features' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.features'),
                    "placeholder" => trans('diva::listing.placeholder.features'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'amenities' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.amenities'),
                    "placeholder" => trans('diva::listing.placeholder.amenities'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'features_intl' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.features_intl'),
                    "placeholder" => trans('diva::listing.placeholder.features_intl'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'featured' => [
                    "type" => 'radios',
                    "label" => trans('diva::listing.label.featured'),
                    "placeholder" => trans('diva::listing.placeholder.featured'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'dewa_no' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.dewa_no'),
                    "placeholder" => trans('diva::listing.placeholder.dewa_no'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'str' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.str'),
                    "placeholder" => trans('diva::listing.placeholder.str'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'source_listing' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.source_listing'),
                    "placeholder" => trans('diva::listing.placeholder.source_listing'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sub_source' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.sub_source'),
                    "placeholder" => trans('diva::listing.placeholder.sub_source'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'next_available' => [
                    "type" => 'date_picker',
                    "label" => trans('diva::listing.label.next_available'),
                    "placeholder" => trans('diva::listing.placeholder.next_available'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'notes' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.notes'),
                    "placeholder" => trans('diva::listing.placeholder.notes'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'notes_temp' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.notes_temp'),
                    "placeholder" => trans('diva::listing.placeholder.notes_temp'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'additional_info' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.additional_info'),
                    "placeholder" => trans('diva::listing.placeholder.additional_info'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'tenanted' => [
                    "type" => 'radios',
                    "label" => trans('diva::listing.label.tenanted'),
                    "placeholder" => trans('diva::listing.placeholder.tenanted'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'rented' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.rented'),
                    "placeholder" => trans('diva::listing.placeholder.rented'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'rented_price' => [
                    "type" => 'decimal',
                    "label" => trans('diva::listing.label.rented_price'),
                    "placeholder" => trans('diva::listing.placeholder.rented_price'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'rented_cheques' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.rented_cheques'),
                    "placeholder" => trans('diva::listing.placeholder.rented_cheques'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'rented_at' => [
                    "type" => 'date_picker',
                    "label" => trans('diva::listing.label.rented_at'),
                    "placeholder" => trans('diva::listing.placeholder.rented_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'rented_until' => [
                    "type" => 'date_picker',
                    "label" => trans('diva::listing.label.rented_until'),
                    "placeholder" => trans('diva::listing.placeholder.rented_until'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'maintenance_fee' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.maintenance_fee'),
                    "placeholder" => trans('diva::listing.placeholder.maintenance_fee'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'property_status' => [
                    "type" => 'radios',
                    "label" => trans('diva::listing.label.property_status'),
                    "placeholder" => trans('diva::listing.placeholder.property_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price_sqft' => [
                    "type" => 'decimal',
                    "label" => trans('diva::listing.label.price_sqft'),
                    "placeholder" => trans('diva::listing.placeholder.price_sqft'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'owner_signed' => [
                    "type" => 'radios',
                    "label" => trans('diva::listing.label.owner_signed'),
                    "placeholder" => trans('diva::listing.placeholder.owner_signed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'property_type' => [
                    "type" => 'radios',
                    "label" => trans('diva::listing.label.property_type'),
                    "placeholder" => trans('diva::listing.placeholder.property_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'rera' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.rera'),
                    "placeholder" => trans('diva::listing.placeholder.rera'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'sub_status' => [
                    "type" => 'radios',
                    "label" => trans('diva::listing.label.sub_status'),
                    "placeholder" => trans('diva::listing.placeholder.sub_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'unpublish_reason' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.unpublish_reason'),
                    "placeholder" => trans('diva::listing.placeholder.unpublish_reason'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'unpublish_details' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.unpublish_details'),
                    "placeholder" => trans('diva::listing.placeholder.unpublish_details'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'related_listing' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.related_listing'),
                    "placeholder" => trans('diva::listing.placeholder.related_listing'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'notifications' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.notifications'),
                    "placeholder" => trans('diva::listing.placeholder.notifications'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'published_at' => [
                    "type" => 'date_time_picker',
                    "label" => trans('diva::listing.label.published_at'),
                    "placeholder" => trans('diva::listing.placeholder.published_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'published_by' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.published_by'),
                    "placeholder" => trans('diva::listing.placeholder.published_by'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'unpublished_at' => [
                    "type" => 'date_time_picker',
                    "label" => trans('diva::listing.label.unpublished_at'),
                    "placeholder" => trans('diva::listing.placeholder.unpublished_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'assigned_to' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.assigned_to'),
                    "placeholder" => trans('diva::listing.placeholder.assigned_to'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'is_verified' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.is_verified'),
                    "placeholder" => trans('diva::listing.placeholder.is_verified'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'shuffle_photos' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.shuffle_photos'),
                    "placeholder" => trans('diva::listing.placeholder.shuffle_photos'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'lat' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.lat'),
                    "placeholder" => trans('diva::listing.placeholder.lat'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'lng' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.lng'),
                    "placeholder" => trans('diva::listing.placeholder.lng'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'watermark' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.watermark'),
                    "placeholder" => trans('diva::listing.placeholder.watermark'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'expiry_at' => [
                    "type" => 'date_time_picker',
                    "label" => trans('diva::listing.label.expiry_at'),
                    "placeholder" => trans('diva::listing.placeholder.expiry_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'notified_at' => [
                    "type" => 'date_time_picker',
                    "label" => trans('diva::listing.label.notified_at'),
                    "placeholder" => trans('diva::listing.placeholder.notified_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'temp_other_medias' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.temp_other_medias'),
                    "placeholder" => trans('diva::listing.placeholder.temp_other_medias'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'temp_features' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.temp_features'),
                    "placeholder" => trans('diva::listing.placeholder.temp_features'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'temp_amenities' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.temp_amenities'),
                    "placeholder" => trans('diva::listing.placeholder.temp_amenities'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'migrated' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.migrated'),
                    "placeholder" => trans('diva::listing.placeholder.migrated'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contract_date' => [
                    "type" => 'date_time_picker',
                    "label" => trans('diva::listing.label.contract_date'),
                    "placeholder" => trans('diva::listing.placeholder.contract_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'bypass_houza' => [
                    "type" => 'numeric',
                    "label" => trans('diva::listing.label.bypass_houza'),
                    "placeholder" => trans('diva::listing.placeholder.bypass_houza'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'user_updated_at' => [
                    "type" => 'date_time_picker',
                    "label" => trans('diva::listing.label.user_updated_at'),
                    "placeholder" => trans('diva::listing.placeholder.user_updated_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ref_byt' => [
                    "type" => 'text',
                    "label" => trans('diva::listing.label.ref_byt'),
                    "placeholder" => trans('diva::listing.placeholder.ref_byt'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
