<?php

namespace Bixo\Diva\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ListingTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Diva\Models\Listing $listing)
    {
        return [
            'id'                => $listing->getRouteKey(),
            'key'               => [
                'public'    => $listing->getPublicKey(),
                'route'     => $listing->getRouteKey(),
            ], 
            'category_id'       => $listing->category_id,
            'team_id'           => $listing->team_id,
            'lead_team_id'      => $listing->lead_team_id,
            'contact_id'        => $listing->contact_id,
            'tenant_id'         => $listing->tenant_id,
            'agent_id'          => $listing->agent_id,
            'deal_id'           => $listing->deal_id,
            'opportunity_id'    => $listing->opportunity_id,
            'com_listing_id'    => $listing->com_listing_id,
            'hot'               => $listing->hot,
            'exclusive'         => $listing->exclusive,
            'name'              => $listing->name,
            'ref'               => $listing->ref,
            'ref_pf'            => $listing->ref_pf,
            'unit'              => $listing->unit,
            'type'              => $listing->type,
            'street_no'         => $listing->street_no,
            'floor'             => $listing->floor,
            'maintain_sqft'     => $listing->maintain_sqft,
            'latitude'          => $listing->latitude,
            'longitude'         => $listing->longitude,
            'country_id'        => $listing->country_id,
            'state_id'          => $listing->state_id,
            'location_id'       => $listing->location_id,
            'sublocation_id'    => $listing->sublocation_id,
            'property_id'       => $listing->property_id,
            'building_no'       => $listing->building_no,
            'tower_name'        => $listing->tower_name,
            'beds'              => $listing->beds,
            'fitted'            => $listing->fitted,
            'building_type'     => $listing->building_type,
            'handover_date'     => $listing->handover_date,
            'baths'             => $listing->baths,
            'half_bath'         => $listing->half_bath,
            'furnished'         => $listing->furnished,
            'appliances'        => $listing->appliances,
            'view'              => $listing->view,
            'bua'               => $listing->bua,
            'price'             => $listing->price,
            'emi'               => $listing->emi,
            'est_rental'        => $listing->est_rental,
            'plot'              => $listing->plot,
            'poa'               => $listing->poa,
            'frequency'         => $listing->frequency,
            'cheques'           => $listing->cheques,
            'parking'           => $listing->parking,
            'commercial'        => $listing->commercial,
            'reminder'          => $listing->reminder,
            'description'       => $listing->description,
            'description_more'  => $listing->description_more,
            'documents'         => $listing->documents,
            'photos'            => $listing->photos,
            'floor_plans'       => $listing->floor_plans,
            'commission'        => $listing->commission,
            'commission_aed'    => $listing->commission_aed,
            'deposit'           => $listing->deposit,
            'deposit_aed'       => $listing->deposit_aed,
            'portals'           => $listing->portals,
            'other_medias'      => $listing->other_medias,
            'features'          => $listing->features,
            'amenities'         => $listing->amenities,
            'features_intl'     => $listing->features_intl,
            'featured'          => $listing->featured,
            'dewa_no'           => $listing->dewa_no,
            'str'               => $listing->str,
            'source_listing'    => $listing->source_listing,
            'sub_source'        => $listing->sub_source,
            'next_available'    => $listing->next_available,
            'notes'             => $listing->notes,
            'notes_temp'        => $listing->notes_temp,
            'additional_info'   => $listing->additional_info,
            'tenanted'          => $listing->tenanted,
            'rented'            => $listing->rented,
            'rented_price'      => $listing->rented_price,
            'rented_cheques'    => $listing->rented_cheques,
            'rented_at'         => $listing->rented_at,
            'rented_until'      => $listing->rented_until,
            'maintenance_fee'   => $listing->maintenance_fee,
            'property_status'   => $listing->property_status,
            'price_sqft'        => $listing->price_sqft,
            'owner_signed'      => $listing->owner_signed,
            'property_type'     => $listing->property_type,
            'rera'              => $listing->rera,
            'sub_status'        => $listing->sub_status,
            'unpublish_reason'  => $listing->unpublish_reason,
            'unpublish_details' => $listing->unpublish_details,
            'related_listing'   => $listing->related_listing,
            'notifications'     => $listing->notifications,
            'published_at'      => $listing->published_at,
            'published_by'      => $listing->published_by,
            'unpublished_at'    => $listing->unpublished_at,
            'assigned_to'       => $listing->assigned_to,
            'is_verified'       => $listing->is_verified,
            'shuffle_photos'    => $listing->shuffle_photos,
            'lat'               => $listing->lat,
            'lng'               => $listing->lng,
            'watermark'         => $listing->watermark,
            'expiry_at'         => $listing->expiry_at,
            'notified_at'       => $listing->notified_at,
            'temp_other_medias' => $listing->temp_other_medias,
            'temp_features'     => $listing->temp_features,
            'temp_amenities'    => $listing->temp_amenities,
            'upload_folder'     => $listing->upload_folder,
            'migrated'          => $listing->migrated,
            'contract_date'     => $listing->contract_date,
            'bypass_houza'      => $listing->bypass_houza,
            'user_id'           => $listing->user_id,
            'user_type'         => $listing->user_type,
            'user_updated_at'   => $listing->user_updated_at,
            'deleted_at'        => $listing->deleted_at,
            'ref_byt'           => $listing->ref_byt,
            'url'               => [
                'public'    => trans_url('diva/'.$listing->getPublicKey()),
                'user'      => guard_url('diva/listing/'.$listing->getRouteKey()),
            ], 
            'status'            => trans('app.'.$listing->status),
            'created_at'        => format_date($listing->created_at),
            'updated_at'        => format_date($listing->updated_at),
        ];
    }
}